#    This file is part of the FElt finite element analysis package.
#    Copyright (C) 1993 Jason I. Gobat and Darren C. Atkinson
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

include Makefile.conf


all:;		@cd lib; echo "Making all in lib ..."; make all
		@cd bin; echo "Making all in bin ..."; make all

clean:;		@cd lib; echo "Cleaning lib ..."; make clean
		@cd bin; echo "Cleaning bin ..."; make clean

install:;	@cd bin; echo "Installing in bin ..."; make install
		@cd man; echo "Installing in man ..."; make install
		@cd etc; echo "Installing in etc ..."; make install

config:;	@echo "Configuring ..."
		@cd etc; sh config

dist:;		@cd ..; rm -f felt.tar.gz felt.tar; \
		 find ./FElt -name "*.[oa]" -prune -o -perm 755 -type f \
		 -prune -o -type f -print | xargs tar rvf felt.tar; \
		 gzip felt.tar
